Subject: Re: consisten use of top-level oid branch name joint-iso-itu-t(2)

From: John Larmouth <[email-masked]>
Date: Wed, 17 Jun 2009 09:21:17 +0100

Tom,

I am not sure what draft you are referring to, but we spent a lot of time at the 
last Tokyo meeting to ensure that an additional Unicode label could be added to 
a high-level arc without requiring any changes to zone files for nodes beneath 
the affected node.  This is acheivable by use of a combination of CNAME and 
DNAME records in the DNS.  Use of those records for this purpose will be fully 
described either in the main Standard or as an Implementors Guide.

What you are missing is "long arcs".  A long arc can go from the root to any 
lower-level node.  It does not have a number, only one or more Unicode labels 
(unambiguous among all arcs from the root - long or normal).  It "expands" into 
a sequence of normal arcs to the same node, identified in canonical (numerical) 
form.

So as far as the DNS is concerned, there are arcs from the root in addition to 
the three you are talking about, and the root zone files point directly to the 
servers associated with those lower level nodes (assuming the administrations of 
those nodes choose to run a DNS server, otherwise you just get information about 
children).

The ORS work is not yet complete, and there are some dangling threads, in 
particular xase-folded matching and the use of %encoding or punycode for 
non-Ascii characters, and the handling of case sensitivity for Ascii characters. 
  This will likely be resolved at the Geneva September meeting.

The second Internet Draft for the requested IRI "oid:" scheme will be produced 
as soon as these remaining issues in the ORS (OID Resolution System) are sorted.

John L

Tom Gindin wrote:
>         John:
> 
>         This draft is interesting and useful for some purposes, but I 
> don't see how it addresses the case where a high-level arc (beyond the 
> control of the development organization) is renamed.  Since that's 
> precisely the case we are discussing here (although the change took place 
> quite a while ago and it's reasonable to expect people to adjust), it 
> doesn't actually seem to help us.  Am I missing something?
>         Also, unless I have missed something, there are only three 
> top-level arcs defined for OID's and they all now have names.
> 
>                 Tom Gindin
> 
> 
> 
> 
> John Larmouth <[email-masked]> 
> Sent by: [email-masked]
> 12/22/2008 10:48 AM
> Please respond to
> [email-masked]
> 
> 
> To
> Alfred � <[email-masked]>
> cc
> [email-masked], [email-masked], [email-masked]
> Subject
> Re: consisten use of top-level oid branch name joint-iso-itu-t(2)
> 
> 
> 
> 
> 
> 
> Alfred,
> 
> The synonyms were introduced some time ago, and, indeed, the names are 
> non-normative, and may not even be unambiguous.  Only the numbers matter 
> in an OID in an encoding.
> 
> However, the recent introduction of Unicode labels, as normative and 
> unambigous names gives a new naming scheme to the (same) OID tree that 
> enables names (Unicode labels) to be used in machine communication if 
> desired.  The ASN.1 type is called OID_IRI and provides for node 
> identification using Unicode labels.  Unicode labels with names similar to 
> the old ASCII names have been assigned for many of the top-level arcs, and 
> more will be added over time.
> 
> The OID_IRI type  is related to (but not dependent on) the application for 
> an "oid" IRI scheme,  but for consistency this is desired.  See I-D 
> draft-larmouth-oid-iri-00.
> 
> John L
> 
> Alfred � wrote: 
> Folks / to whom it concerns,
> 
> during recent reviews of active I-Ds containing ASN.1 related
> to the X.500 framework, I found that a couple of these do not
> consistently employ the revised name of the top-level OID branch
> 
>     joint-iso-itu-t(2) ,
> 
> but instead use the outdated/legacy name
> 
>     joint-iso-ccitt(2) .
> 
> Some drafts use a mix of both names.
> 
> I suggest that the modern version  joint-iso-itu-t(2)  be used
> consistently within all new drafts / draft versions, unless
> intentionally and explicitely for historical evidence reference
> has to be made to the old name.
> 
> Kind regards,
>   Alfred.
> 
>  
> 

-- 
    Prof John Larmouth
    Larmouth T&PDS Ltd
    (Training and Protocol Design Services Ltd)
    1 Blueberry Road
    Bowdon                               [email-masked]
    Altrincham
    Cheshire
    WA14 3LS
    England
    Tel: +44 161 928 1605